SHIB-METAGEN.1(1)

NAME
shib-metagen - Generate metadata for a Shibboleth SP

SYNOPSIS
shib-metagen [-12ADLNO] [-c cert [-c cert ...]]
    [-e entity-id] [-f format [-f format ...]]
    [-h host [-h host ...]] [-n host [-n host ...]]
    [-l host-file] [-o organization]
    [-a admin [-a admin ...]]
    [-s support [-s support ...]]
    [-t tech [-t tech ...]] [-u url]

DESCRIPTION
Generate metadata for a Shibboleth SP. The metadata is printed to standard output. Most of the parameters are optional, but at least one of -h or -n must be given to specify the hostname to use in constructing URLs for the Shibboleth service for the SP. Other metadata can be added by using the other command-line parameters. Most parameters can be given multiple times.

OPTIONS

-1  Generate SAML 1.0 metadata. The default, if neither -1 nor -2 is given, is to generate metadata for both SAML 1.0 and SAML 2.0.

-2  Generate SAML 2.0 metadata. The default, if neither -1 nor -2 is given, is to generate metadata for both SAML 1.0 and SAML 2.0.

-A  Include artifact metadata.

-a admin
    An administrative contact for this Shibboleth SP. This option may be omitted, in which case administrative contact metadata is not included, or may be given multiple times to list multiple contacts. admin should be in the form "first/last/email" where first is the given name and last is the surname.

-c cert
    Specifies the SSL certificate used to identify this Shibboleth SP. This option may be given multiple times to specify multiple certificates. If it is not given, the default certificate is sp-cert.pem in the current working directory.

-D  Include discovery service information in the metadata. By default, discovery service information is not included.

-e entity-id
    The entity ID for this SP. This must be a unique identifier for this SP and must be a URL. If -o is given and -u is not given, entity-id is used as the URL for the organization running this Shibboleth SP. If it is not specified, it defaults to "https://host/shibboleth" where host is the argument to the first -h option.

-f format
    Include this NameIDFormat in the metadata. This option may be given more than once.

-h host
    A hostname for this SP (possibly a virtual host). Either this option, the -n option, or the -l option must be specified at least once. It should be repeated for every virtual host that responds to the Shibboleth protocol. -h should be used for hostnames or virtual hosts that use SSL.

-L  Include Single Logout information in the metadata. This is not included by default.

-l host-list
    Read the list of hostnames for this SP from a file. Each line of the file will be treated as if it were passed as an argument to the -h option to specify a hostname or virtual host that responds to the Shibboleth protocol and uses SSL.

-N  Include NameID management information in the metadata. This is not included by default.

-n host
    A hostname for this SP (possibly a virtual host). Either this option, the -h, or the -l option must be specified at least once. It should be repeated for every virtual host that responds to the Shibboleth protocol. -n should be used for hostnames or virtual hosts that do not use SSL to protect the Shibboleth communication.

-O  Include XML namespace declarations in the generated metadata. This is the default.

-o organization
    The name of the organization that runs this Shibboleth SP. This option may be given only once and may be omitted, in which case organization metadata is not included. This is normally not necessary but may be used by other software systems for purposes such as displaying lists of entities with human-readable names.

-s support
    A support contact for this Shibboleth SP. This option may be omitted, in which case support contact metadata is not included, or may be given multiple times to list multiple contacts. support should be in the form "first/last/email" where first is the given name and last is the surname.

-t tech
    A technical contact for this Shibboleth SP. This option may be omitted, in which case technical contact metadata is not included, or may be given multiple times to list multiple contacts. tech should be in the form "first/last/email" where first is the given name and last is the surname.

-u url
    Sets the URL for the organization. This information is only used if the -o option is also given to specify the name of the organization. If -o is given and -u is not given, the entity ID (set with -e) is used as the organization URL.

AUTHOR
This manual page was written by Russ Allbery for Debian GNU/Linux.

COPYRIGHT
Copyright 2009, 2011 Russ Allbery. This manual page is hereby placed into the public domain by its author.